Bug 76735 - NON-MAINTAINER UPDATE: www/awstats to 6.3 (includes critical security fix)
Summary: NON-MAINTAINER UPDATE: www/awstats to 6.3 (includes critical security fix)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-27 02:10 UTC by Andrew J. Caines
Modified: 2005-02-03 19:33 UTC (History)
1 user (show)

See Also:


Attachments
awstats-6.3.patch (5.52 KB, patch)
2005-01-27 02:10 UTC, Andrew J. Caines
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew J. Caines 2005-01-27 02:10:07 UTC

Update awstats 6.2 to 6.3, including a fix for an active remote exploit[1].

Patch includes additional pkg-plist changes.

[1] See eg. http://xforce.iss.net/xforce/xfdb/18910

How-To-Repeat: 

Apply the patch[1].

[1] http://halplant.com:88/software/FreeBSD/ports/awstats-6.3.patch
Comment 1 edwin 2005-01-27 03:21:00 UTC
It can't find the distfiles yet on the ${MASTER_SITE_SOURCEFORGE} sites.

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 2 edwin 2005-01-27 04:07:12 UTC
<AJ_Z0> It's (still) shown as the "development" version (at http://awstats.sourceforge.net/files/awstats-6.3.tgz).

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 3 Pav Lucistnik freebsd_committer 2005-01-27 22:37:20 UTC
Dear maintainer of FreeBSD port www/awstats, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=76735

Do you approve this update?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

He had found a Nutri-Matic machine which had provided him with a plastic cup
filled with a liquid that was almost, but not quite, entirely unlike tea.
Comment 4 Pav Lucistnik freebsd_committer 2005-01-27 22:37:23 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval. 


Comment 5 Pav Lucistnik freebsd_committer 2005-01-27 22:37:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 6 Pav Lucistnik freebsd_committer 2005-01-28 09:17:24 UTC
State Changed
From-To: feedback->suspended

Maintainer's reply: 

No, I don't. Awstat's 6.3 is development. The temporary solution is to  
submit the patch suggested on the security notification. I mentioned in  
reply on ports@ last night that I'd be working on it tonight or  
tomorrow but I was on a couple deadlines and would try my best to get  
it done.
Comment 7 Andrew J. Caines 2005-02-02 01:47:38 UTC
6.3 is now released. I've updated the patch[1] for the new sums.


[1] http://halplant.com:88/software/FreeBSD/ports/awstats-6.3.patch

-Andrew-
-- 
 _______________________________________________________________________
| -Andrew J. Caines-   Unix Systems Engineer   A.J.Caines@halplant.com  |
| "They that can give up essential liberty to obtain a little temporary |
|  safety deserve neither liberty nor safety" - Benjamin Franklin, 1759 |
Comment 8 Pav Lucistnik freebsd_committer 2005-02-03 19:33:18 UTC
State Changed
From-To: suspended->closed

Maintainer's patch committed.